Skip to content

Bluetooth ​

24 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getIotBlueToothAgingTimeGETGet Aging Time (deprecated)
modifyIotBlueToothAgingTimePUTModify Aging Time (deprecated)
getGridBtIbeaconDevicesGETGet Bluetooth Advertising Devices
getGridBtIbeaconListGETGet Bluetooth Advertising (deprecated)
createBtIbeaconConfigPOSTCreate Bluetooth Advertising (deprecated)
deleteBtIbeaconConfigDELETEDelete Bluetooth Advertising (deprecated)
modifyBtIbeaconConfigPUTModify Bluetooth Advertising (deprecated)
batchDeleteBtIbeaconConfigDELETEBatch delete Bluetooth Advertising (deprecated)
batchModifyBtIbeaconConfigPOSTBatch modify Bluetooth Advertising (deprecated)
getIotRadioSettingGETGet Iot Radio Setting
modifyIotRadioSettingPATCHModify Iot Radio Setting
getIotDeviceTransmitPowerInfoListGETGet IoT devices with transmit power
batchModifyIotDeviceTransmitPowerPUTBatch Modify transmit power of IoT devices.
getGridIotServerGETGet IoT Transport Steam
createIotServerPOSTCreate IoT Transport Stream
deleteIotServerDELETEDelete IoT Transport Stream
modifyIotServerPUTModify IoT Transport Steam
batchDeleteIotServerDELETEBatch Delete IoT Transport Stream
getGridBtIbeaconListV2GETGet Bluetooth Advertising v2
createBtIbeaconConfigV2POSTCreate Bluetooth Advertising v2
deleteBtIbeaconConfigV2DELETEDelete Bluetooth Advertising v2
modifyBtIbeaconConfigV2PUTModify Bluetooth Advertising v2
batchDeleteBtIbeaconConfigV2DELETEBatch delete Bluetooth Advertising v2
batchModifyBtIbeaconConfigV2POSTBatch modify Bluetooth Advertising

getIotBlueToothAgingTime ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/aging-time

Deprecated

This operation is deprecated.

Get Aging Time

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getIotBlueToothAgingTime",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

The system automatically removes a device's registry entry if no data reports are received within a predefined aging period.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

modifyIotBlueToothAgingTime ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/aging-time

Deprecated

This operation is deprecated.

Modify Aging Time

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema IotAgingTimeOpenApiVO

FieldTypeRequiredDescription
agingTime_iotAgingTimeintegeryesThe system automatically removes a device's registry entry if no data reports are received within a predefined aging period.<br/>When format = 0, The parameter aging time should be within the range of 30-86400.<br/>When format = 1, The parameter aging time should be within the range of 1-1440.<br/>When format = 2, The parameter aging time should be within the range of 1-24.<br/>
format_iotAgingTimeintegeryesThe parameter [format] should be a value as follows: [0:second 1:minute; 2:hour]
json
// omada_call_operation
{
  "operationId": "modifyIotBlueToothAgingTime",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Aging Time. Note: The modification of AgingTime now follows Bluetooth -> Radio Setting, please use the Radio Setting interface to configure AgingTime.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getGridBtIbeaconDevices ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices

Get Bluetooth Advertising Devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridBtIbeaconDevices",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Gets a list of devices that can configure iBeacon.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

getGridBtIbeaconList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config

Deprecated

This operation is deprecated.

Get Bluetooth Advertising

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridBtIbeaconList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, if you want to configure the Transmit Power in Bluetooth -> Radio Setting, use the v2 interface to get the Bluetooth Advertising information.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

createBtIbeaconConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config

Deprecated

This operation is deprecated.

Create Bluetooth Advertising

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ConfigIotBtIbeaconOpenApiVO

FieldTypeRequiredDescription
namestringyesThe Bluetooth Advertising seting name. The name of built-in entry are not allowed to be modified.
macListarray<string>yesList of device MAC addresses bound to this configuration.
enablebooleannoWhether to enable the Bluetooth Advertising setting.(Disable by default)
transmitPowerintegernoBroadcast transmission power.<br />The parameter [transmitPower] should be a value as follows:[-20, -18, -15, -12, -10, -9, -6, -5, -3, 0, 1, 2, 3, 4, 5, 14, 15, 16, 17, 18, 19, 20].(0 by default)
measurePowerintegernoRSSI Calibration Value. The parameter [measurePower] is used to input the RSSI measured at a 1-meter distance from the device, enabling positioning functionality.(-65 by default)
advIntervalintegernoAdvertising interval in milliseconds.(500 by default)
uuidstringyesThe UUID (Universally Unique Identifier) of the advertising ibeacon packet.
majorstringyesThe major value of adverting ibeacon packet, indicating a larger group.
minorstringyesThe minor value of adverting ibeacon packet, indicating a smaller group.
json
// omada_call_operation
{
  "operationId": "createBtIbeaconConfig",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, all devices with transmit power configured via this v1 interface will have their transmit power configuration set to override on the new radio setting page. If you want to configure Transmit Power in Bluetooth -> Radio Setting, configure Bluetooth Advertising using v2 interface.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

deleteBtIbeaconConfig ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config/{id}

Deprecated

This operation is deprecated.

Delete Bluetooth Advertising

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesBluetooth Advertising entry ID
json
// omada_call_operation
{
  "operationId": "deleteBtIbeaconConfig",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, all devices with transmit power configured via this v1 interface will have their transmit power configuration set to override on the new radio setting page. If you want to configure Transmit Power in Bluetooth -> Radio Setting, configure Bluetooth Advertising using v2 interface.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

modifyBtIbeaconConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config/{id}

Deprecated

This operation is deprecated.

Modify Bluetooth Advertising

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesBluetooth Advertising entry ID

Request body — application/json (required) — schema ConfigIotBtIbeaconOpenApiVO

FieldTypeRequiredDescription
namestringyesThe Bluetooth Advertising seting name. The name of built-in entry are not allowed to be modified.
macListarray<string>yesList of device MAC addresses bound to this configuration.
enablebooleannoWhether to enable the Bluetooth Advertising setting.(Disable by default)
transmitPowerintegernoBroadcast transmission power.<br />The parameter [transmitPower] should be a value as follows:[-20, -18, -15, -12, -10, -9, -6, -5, -3, 0, 1, 2, 3, 4, 5, 14, 15, 16, 17, 18, 19, 20].(0 by default)
measurePowerintegernoRSSI Calibration Value. The parameter [measurePower] is used to input the RSSI measured at a 1-meter distance from the device, enabling positioning functionality.(-65 by default)
advIntervalintegernoAdvertising interval in milliseconds.(500 by default)
uuidstringyesThe UUID (Universally Unique Identifier) of the advertising ibeacon packet.
majorstringyesThe major value of adverting ibeacon packet, indicating a larger group.
minorstringyesThe minor value of adverting ibeacon packet, indicating a smaller group.
json
// omada_call_operation
{
  "operationId": "modifyBtIbeaconConfig",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, all devices with transmit power configured via this v1 interface will have their transmit power configuration set to override on the new radio setting page. If you want to configure Transmit Power in Bluetooth -> Radio Setting, configure Bluetooth Advertising using v2 interface.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

batchDeleteBtIbeaconConfig ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config/batch

Deprecated

This operation is deprecated.

Batch delete Bluetooth Advertising

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchDeleteCommonOpenApiVO

FieldTypeRequiredDescription
idsarray<string>noA set of Bluetooth Advertising entry ids to be deleted.
json
// omada_call_operation
{
  "operationId": "batchDeleteBtIbeaconConfig",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, all devices with transmit power configured via this v1 interface will have their transmit power configuration set to override on the new radio setting page. If you want to configure Transmit Power in Bluetooth -> Radio Setting, configure Bluetooth Advertising using v2 interface.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

batchModifyBtIbeaconConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/devices/config/batch-config

Deprecated

This operation is deprecated.

Batch modify Bluetooth Advertising

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchModifyIbeaconOpenApiVO

FieldTypeRequiredDescription
configBatchConfigIotBtIbeaconOpenApiVOno(BatchConfigIotBtIbeaconOpenApiVO not expanded; call omada_get_schema "BatchConfigIotBtIbeaconOpenApiVO")
idsarray<string>noA set of Bluetooth Advertising entry ids to be modified.
json
// omada_call_operation
{
  "operationId": "batchModifyBtIbeaconConfig",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated, all devices with transmit power configured via this v1 interface will have their transmit power configuration set to override on the new radio setting page. If you want to configure Transmit Power in Bluetooth -> Radio Setting, configure Bluetooth Advertising using v2 interface.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getIotRadioSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/radio

Get Iot Radio Setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getIotRadioSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Iot Radio Setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

modifyIotRadioSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/radio

Modify Iot Radio Setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema IotRadioSettingOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesBluetooth enable.
consoleModeintegernoBluetooth consle mode should be a value as follow:[0:auto, 1:on, 2:off].
passcodestringnoBluetooth consle passcode.
transmitPowerintegernoBroadcast transmission power.<br />The parameter [transmitPower] should be a value as follows:[-20, -18, -15, -12, -10, -9, -6, -5, -3, 0, 1, 2, 3, 4, 5, 14, 15, 16, 17, 18, 19, 20].(0 by default)
agingTimeintegernoThe system automatically removes a device's registry entry if no data reports are received within a predefined aging period.<br/>When format = 0, The parameter aging time should be within the range of 30-86400.<br/>When format = 1, The parameter aging time should be within the range of 1-1440.<br/>When format = 2, The parameter aging time should be within the range of 1-24.<br/>
formatintegernoThe parameter [format] should be a value as follows: [0:second 1:minute; 2:hour]
resourceintegerno
json
// omada_call_operation
{
  "operationId": "modifyIotRadioSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Iot Radio Setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getIotDeviceTransmitPowerInfoList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/radio/transmit-power

Get IoT devices with transmit power

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field Device Name
json
// omada_call_operation
{
  "operationId": "getIotDeviceTransmitPowerInfoList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the list of Iot devices with transmit power information.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

batchModifyIotDeviceTransmitPower ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/radio/transmit-power

Batch Modify transmit power of IoT devices.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchConfigIotTransmitPowerOpenApiVO

FieldTypeRequiredDescription
macsarray<string>yesDevice mac list. If selectAll is true, mac in macs is excluded.
overridebooleanyesWhether to override the configuration.
transmitPowerintegernoBroadcast transmission power.<br />The parameter [transmitPower] should be a value as follows:[-20, -18, -15, -12, -10, -9, -6, -5, -3, 0, 1, 2, 3, 4, 5, 14, 15, 16, 17, 18, 19, 20].(0 by default)
selectAllbooleanyesWhether to select all device. The selected devices are the ones filtered out based on the searchKey.
searchKeystringnoLook for a specific piece of data.
json
// omada_call_operation
{
  "operationId": "batchModifyIotDeviceTransmitPower",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch Modify transmit power of IoT devices.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getGridIotServer ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/servers

Get IoT Transport Steam

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridIotServer",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get IoT Transport Steam.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

createIotServer ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/servers

Create IoT Transport Stream

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ConfigIotServerOpenApiVO

FieldTypeRequiredDescription
namestringyesIoT Transport Stream setting name.
enablebooleanyesWhether to enable the IoT Transport Stream setting.
serverUrlstringyesIf the service type is http, the server URL must start with http://.
serverTypeintegeryesThe server type should be a value as follows: [0: http].
deviceClassesarray<integer>yesSupports protocol-based filtering during IoT data reporting processes.<br />The device class list should contain the value as follows: [0:minew; 1:iBeacon; 2:Eddystone].
reportIntervalintegernoData reporting interval configuration for AP devices in IoT systems.The parameter [reportInterval] should be within the range of 1–3600 in seconds, and it cannot be null when blePeriodicTelemetry is enabled.
authenticationintegeryesThe parameter [authentication] should be a value as follows:[0:Use Token].
accessTokenstringyesThis parameter becomes mandatory when the authentication method is set to "Use Token".<br/>Note:The parameter [clientId] should be 1 ~ 128 characters.
clientIdstringyesThis parameter becomes mandatory when the authentication method is set to "Use Token".<br />Note:The parameter [clientId] should be 1 ~ 128 characters.
rssiFormatintegeryesThe signal strength reporting format currently supports five types: [0:Average; 1:Max; 2:Last; 3:Smooth; 4:Bulk].
filtersTypearray<integer>noUser-defined settings to manage AP device filtering rules for IoT devices.<br />The parameter [filtersType] should contain the value as follows:[0:Company Identifier; 1:Vendor; 2:Local Name; 3:Service UUID; 4:Mac Oui; 5:iBeacon UUID; 6:UID; 7:URL].
filtersobjectnoThe keys in the [filters] map represent the filter types, while the values correspond to the specific filtering criteria or values associated with each filter type.<br />Note:<br />Filter type = 0, The Company Identifier must conform to a 4-digit or 6-digit hexadecimal encoding. It is only applicable to ibeacon devices<br />Filter type = 1, The Vendor should not exceed 255 bytes in length.<br />Filter type = 2, The Local Name should not exceed 120 bytes in length. It is only applicable to minew devices.<br />Filter type = 3, The Service UUID must conform to a 4-digit hexadecimal encoding. It is only applicable to minew and eddystone devices.<br />Filter type = 4, The Mac Oui must conform to a 6-digit hexadecimal encoding.<br />Filter type = 5, The iBeacon UUID must conform to a 32-digit hexadecimal encoding. It is only applicable to iBeacon devices.<br />Filter type = 6, The UID must conform to a 20-digit or 32-digit hexadecimal encoding. It is only applicable to eddystone devices.<br />Filter type = 7, The URL should not include a scheme. It is only applicable to eddystone devices.<br />
countOnlybooleannoA switch that controls whether the AP device exclusively reports the count of IoT devices, and it cannot be null when blePeriodicTelemetry is enabled.
blePeriodicTelemetrybooleanyesWhether to enable the BLE Periodic Telemetry. When disabled no periodic packets will be uploaded.
rawDatabooleanyesWhether to enable the BLE Data Forwarding. When enabled, the AP directly reports the Bluetooth packet rawData to the server.
json
// omada_call_operation
{
  "operationId": "createIotServer",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create IoT Transport Stream setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

deleteIotServer ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/servers/{id}

Delete IoT Transport Stream

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesIoT Transport Stream entry ID
json
// omada_call_operation
{
  "operationId": "deleteIotServer",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete IoT Transport Stream setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

modifyIotServer ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/servers/{id}

Modify IoT Transport Steam

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesIoT Transport Stream entry ID

Request body — application/json (required) — schema ConfigIotServerOpenApiVO

FieldTypeRequiredDescription
namestringyesIoT Transport Stream setting name.
enablebooleanyesWhether to enable the IoT Transport Stream setting.
serverUrlstringyesIf the service type is http, the server URL must start with http://.
serverTypeintegeryesThe server type should be a value as follows: [0: http].
deviceClassesarray<integer>yesSupports protocol-based filtering during IoT data reporting processes.<br />The device class list should contain the value as follows: [0:minew; 1:iBeacon; 2:Eddystone].
reportIntervalintegernoData reporting interval configuration for AP devices in IoT systems.The parameter [reportInterval] should be within the range of 1–3600 in seconds, and it cannot be null when blePeriodicTelemetry is enabled.
authenticationintegeryesThe parameter [authentication] should be a value as follows:[0:Use Token].
accessTokenstringyesThis parameter becomes mandatory when the authentication method is set to "Use Token".<br/>Note:The parameter [clientId] should be 1 ~ 128 characters.
clientIdstringyesThis parameter becomes mandatory when the authentication method is set to "Use Token".<br />Note:The parameter [clientId] should be 1 ~ 128 characters.
rssiFormatintegeryesThe signal strength reporting format currently supports five types: [0:Average; 1:Max; 2:Last; 3:Smooth; 4:Bulk].
filtersTypearray<integer>noUser-defined settings to manage AP device filtering rules for IoT devices.<br />The parameter [filtersType] should contain the value as follows:[0:Company Identifier; 1:Vendor; 2:Local Name; 3:Service UUID; 4:Mac Oui; 5:iBeacon UUID; 6:UID; 7:URL].
filtersobjectnoThe keys in the [filters] map represent the filter types, while the values correspond to the specific filtering criteria or values associated with each filter type.<br />Note:<br />Filter type = 0, The Company Identifier must conform to a 4-digit or 6-digit hexadecimal encoding. It is only applicable to ibeacon devices<br />Filter type = 1, The Vendor should not exceed 255 bytes in length.<br />Filter type = 2, The Local Name should not exceed 120 bytes in length. It is only applicable to minew devices.<br />Filter type = 3, The Service UUID must conform to a 4-digit hexadecimal encoding. It is only applicable to minew and eddystone devices.<br />Filter type = 4, The Mac Oui must conform to a 6-digit hexadecimal encoding.<br />Filter type = 5, The iBeacon UUID must conform to a 32-digit hexadecimal encoding. It is only applicable to iBeacon devices.<br />Filter type = 6, The UID must conform to a 20-digit or 32-digit hexadecimal encoding. It is only applicable to eddystone devices.<br />Filter type = 7, The URL should not include a scheme. It is only applicable to eddystone devices.<br />
countOnlybooleannoA switch that controls whether the AP device exclusively reports the count of IoT devices, and it cannot be null when blePeriodicTelemetry is enabled.
blePeriodicTelemetrybooleanyesWhether to enable the BLE Periodic Telemetry. When disabled no periodic packets will be uploaded.
rawDatabooleanyesWhether to enable the BLE Data Forwarding. When enabled, the AP directly reports the Bluetooth packet rawData to the server.
json
// omada_call_operation
{
  "operationId": "modifyIotServer",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify IoT Transport Steam.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

batchDeleteIotServer ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/iot/servers/batch-delete

Batch Delete IoT Transport Stream

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchDeleteCommonOpenApiVO

FieldTypeRequiredDescription
idsarray<string>noA set of Bluetooth Advertising entry ids to be deleted.
json
// omada_call_operation
{
  "operationId": "batchDeleteIotServer",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch Delete IoT Transport Stream.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getGridBtIbeaconListV2 ​

GET /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config

Get Bluetooth Advertising v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridBtIbeaconListV2",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Bluetooth Advertising v2. Note:The parameter [transmitPower] is deprecated.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

createBtIbeaconConfigV2 ​

POST /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config

Create Bluetooth Advertising v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ConfigIotBtIbeaconV2OpenApiVO

FieldTypeRequiredDescription
namestringyesThe Bluetooth Advertising seting name. The name of built-in entry are not allowed to be modified.
macListarray<string>yesList of device MAC addresses bound to this configuration.
enablebooleannoWhether to enable the Bluetooth Advertising setting.(Disable by default)
measurePowerintegernoRSSI Calibration Value. The parameter [measurePower] is used to input the RSSI measured at a 1-meter distance from the device, enabling positioning functionality.(-65 by default)
advIntervalintegernoAdvertising interval in milliseconds.(500 by default)
uuidstringyesThe UUID (Universally Unique Identifier) of the advertising ibeacon packet.
majorstringyesThe major value of adverting ibeacon packet, indicating a larger group.
minorstringyesThe minor value of adverting ibeacon packet, indicating a smaller group.
json
// omada_call_operation
{
  "operationId": "createBtIbeaconConfigV2",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create Bluetooth Advertising v2. Note:The parameter [transmitPower] is deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

deleteBtIbeaconConfigV2 ​

DELETE /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config/{id}

Delete Bluetooth Advertising v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesBluetooth Advertising entry ID
json
// omada_call_operation
{
  "operationId": "deleteBtIbeaconConfigV2",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete Bluetooth Advertising v2.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

modifyBtIbeaconConfigV2 ​

PUT /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config/{id}

Modify Bluetooth Advertising v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesBluetooth Advertising entry ID

Request body — application/json (required) — schema ConfigIotBtIbeaconV2OpenApiVO

FieldTypeRequiredDescription
namestringyesThe Bluetooth Advertising seting name. The name of built-in entry are not allowed to be modified.
macListarray<string>yesList of device MAC addresses bound to this configuration.
enablebooleannoWhether to enable the Bluetooth Advertising setting.(Disable by default)
measurePowerintegernoRSSI Calibration Value. The parameter [measurePower] is used to input the RSSI measured at a 1-meter distance from the device, enabling positioning functionality.(-65 by default)
advIntervalintegernoAdvertising interval in milliseconds.(500 by default)
uuidstringyesThe UUID (Universally Unique Identifier) of the advertising ibeacon packet.
majorstringyesThe major value of adverting ibeacon packet, indicating a larger group.
minorstringyesThe minor value of adverting ibeacon packet, indicating a smaller group.
json
// omada_call_operation
{
  "operationId": "modifyBtIbeaconConfigV2",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Bluetooth Advertising v2. Note:The parameter [transmitPower] is deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

batchDeleteBtIbeaconConfigV2 ​

DELETE /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config/batch

Batch delete Bluetooth Advertising v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchDeleteCommonOpenApiVO

FieldTypeRequiredDescription
idsarray<string>noA set of Bluetooth Advertising entry ids to be deleted.
json
// omada_call_operation
{
  "operationId": "batchDeleteBtIbeaconConfigV2",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete Bluetooth Advertising v2.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

batchModifyBtIbeaconConfigV2 ​

POST /openapi/v2/{omadacId}/sites/{siteId}/setting/iot/devices/config/batch-config

Batch modify Bluetooth Advertising

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchModifyIbeaconV2OpenApiVO

FieldTypeRequiredDescription
configBatchConfigIotBtIbeaconV2OpenApiVOno(BatchConfigIotBtIbeaconV2OpenApiVO not expanded; call omada_get_schema "BatchConfigIotBtIbeaconV2OpenApiVO")
idsarray<string>noA set of Bluetooth Advertising entry ids to be modified.
json
// omada_call_operation
{
  "operationId": "batchModifyBtIbeaconConfigV2",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify Bluetooth Advertising. Note:The parameter [transmitPower] is deprecated.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.